'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = initialize;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _getChoerodonConfig = require('../../config/getChoerodonConfig');

var _getChoerodonConfig2 = _interopRequireDefault(_getChoerodonConfig);

var _context = require('./context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function initialize(program, dev) {
  var configFile = _path2['default'].join(process.cwd(), program.config || 'choerodon.config.js');
  var choerodonConfig = (0, _getChoerodonConfig2['default'])(configFile);
  _context2['default'].initialize({ choerodonConfig: choerodonConfig, isDev: dev });
}